Bug 457289 - Proftpd does not build mod_ban.c as optional sub-package
Summary: Proftpd does not build mod_ban.c as optional sub-package
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: proftpd
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-30 17:39 UTC by Philip Prindeville
Modified: 2009-01-02 15:25 UTC (History)
0 users

Fixed In Version: 1.3.1-8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-02 15:25:08 UTC
Type: ---


Attachments (Terms of Use)
Patch to support mod_ban.c as separate package. (1.81 KB, patch)
2008-07-30 17:39 UTC, Philip Prindeville
no flags Details | Diff

Description Philip Prindeville 2008-07-30 17:39:50 UTC
Description of problem:

The contributed mod_ban.c module isn't built as an optional part of proftpd.


Version-Release number of selected component (if applicable):

1.3.1-3

How reproducible:

Look at bill-of-materials.

Steps to Reproduce:
1. rpm -q --filesbypkg proftpd | grep mod_ban
2.
3.
  
Actual results:

(nothing)

Expected results:

proftpd                   /usr/libexec/proftpd/mod_ban.so

Additional info:

Comment 1 Philip Prindeville 2008-07-30 17:39:50 UTC
Created attachment 313018 [details]
Patch to support mod_ban.c as separate package.

Comment 2 Matthias Saou 2008-08-08 10:54:50 UTC
I'll include this change in the next devel proftpd build. But it won't be as a sub-package, as it doesn't add any extra external dependency.

I was having pcap version rebuild problems with devel, so it might take a little while before it gets sorted out.

Comment 3 Philip Prindeville 2008-09-10 01:26:46 UTC
(In reply to comment #2)
> I'll include this change in the next devel proftpd build. But it won't be as a
> sub-package, as it doesn't add any extra external dependency.
> 
> I was having pcap version rebuild problems with devel, so it might take a
> little while before it gets sorted out.

Could you build and post an FC8 x86_64 rpm?  I'd like to test it on a production machine.  Thanks.

Comment 4 Philip Prindeville 2008-09-26 22:42:03 UTC
Noticed that we've not modified the proftpd.conf file to have:

#<IfModule mod_dso.c>
#   LoadModule mod_ban.c
...
#</IfModule>

We might also want to append:

#MaxLoginAttempts 1
#
#<IfModule mod_ban.c>
#  BanEngine on
#  BanLog /var/log/proftpd/ban.log
#  BanTable /var/run/proftpd/ban.tab
#
#  # If the same client reaches the MaxLoginAttempts limit 2 times
#  # within 10 minutes, automatically add a ban for that client that
#  # will expire after one hour.
#  BanOnEvent MaxLoginAttempts 2/00:10:00 01:00:00
#
#  # Allow the FTP admin to manually add/remove bans
#  BanControlsACLs all allow user ftpadm
#</IfModule>

to show users how to enable mod_ban.

Comment 5 Matthias Saou 2009-01-02 15:25:08 UTC
I've updated the default proftpd.conf to include this. It's (at last) included in the packages which should be pushed out shortly.


Note You need to log in before you can comment on or make changes to this bug.